import { CanvasOptions, GradientOptions, HandlerOptions } from '../common/interfaces';
import BaseHandler from './BaseHandler';
declare class BackgroundHandler extends BaseHandler {
    options: CanvasOptions;
    constructor(props: HandlerOptions);
    private getBackground;
    setSize: (options: any) => void;
    setBackgroundColor: (color: string) => void;
    setGradient: ({ angle, colors }: GradientOptions) => void;
    setHoverCursor: (cursor: string) => void;
    private setObjectGradient;
}
export default BackgroundHandler;
