import { fabric } from 'fabric';
import BaseHandler from './BaseHandler';
import { HandlerOptions } from '../common/interfaces';
import { FrameOptions } from '../objects';
declare class FrameHandler extends BaseHandler {
    options: any;
    sizeFormat: any;
    backgroundimage: any;
    constructor(props: HandlerOptions);
    initialize(): void;
    getFrame: () => fabric.Object;
    setSize: (options: any) => void;
    update: (options: any) => void;
    setBackgroundColor: (color: string) => void;
    getOptions: () => FrameOptions;
    getFitRatio: () => number;
}
export default FrameHandler;
