import { FabricCanvas, RootHandlerOptions } from '../common/interfaces';
import CanvasHandler from './CanvasHandler';
import EventsHandler from './EventsHandler';
import FrameHandler from './FrameHandler';
import ObjectsHandler from './ObjectsHandler';
import HistoryHandler from './HistoryHandler';
import ZoomHandler from './ZoomHandler';
import PersonalizationHandler from './PersonalizationHandler';
import TemplateHandler from './TemplateHandler';
import ScrollbarHandler from './ScrollbarHandler';
import DesignHandler from './design-handler/design-handler';
import GifHandler from './gif-handler/gif-handler';
import GuidelinesHandler from './GuidelinesHandler';
import BackgroundHandler from './BackgroundHandler';
import AnimationHandler from './AnimationHandler';
declare class Handlers {
    canvas: FabricCanvas;
    frameHandler: FrameHandler;
    eventsHandler: EventsHandler;
    canvasHandler: CanvasHandler;
    objectsHandler: ObjectsHandler;
    historyHandler: HistoryHandler;
    templateHandler: TemplateHandler;
    zoomHandler: ZoomHandler;
    scrollbarHandler: ScrollbarHandler;
    propertiesToInclude: string[];
    personalizationHandler: PersonalizationHandler;
    designHandler: DesignHandler;
    gifHandler: GifHandler;
    guidelinesHandler: GuidelinesHandler;
    backgroundHandler: BackgroundHandler;
    animationHandler: AnimationHandler;
    constructor(props: RootHandlerOptions);
    destroy: () => void;
}
export default Handlers;
