import { ObjectType } from '../../common/constants';
import { fabric } from 'fabric';
declare class ObjectToFabric {
    run(item: any, params: any): Promise<fabric.Object>;
    [ObjectType.STATIC_TEXT](item: any): Promise<unknown>;
    [ObjectType.DYNAMIC_TEXT](item: any, params: any): Promise<unknown>;
    [ObjectType.STATIC_IMAGE](item: any): Promise<unknown>;
    [ObjectType.DYNAMIC_IMAGE](item: any, params: any): Promise<unknown>;
    [ObjectType.STATIC_PATH](item: any): Promise<unknown>;
    [ObjectType.GROUP](item: any, params: any): Promise<unknown>;
    [ObjectType.BACKGROUND](item: any): Promise<unknown>;
    [ObjectType.STATIC_VECTOR](item: any): Promise<unknown>;
    getBaseOptions(item: any): {
        angle: any;
        top: any;
        left: any;
        width: any;
        height: any;
        originX: any;
        originY: any;
        scaleX: any;
        scaleY: any;
        fill: any;
        opacity: any;
        flipX: any;
        flipY: any;
        skewX: any;
        skewY: any;
        metadata: any;
        stroke: any;
        strokeWidth: any;
        animation: any;
    };
}
declare const _default: ObjectToFabric;
export default _default;
