import { fabric } from 'fabric';
export declare class BackgroundObject extends fabric.Rect {
    static type: string;
    initialize(options: BackgroundOptions): this;
    toObject(propertiesToInclude?: string[]): any;
    toJSON(propertiesToInclude?: string[]): any;
    static fromObject(options: BackgroundOptions, callback: any): any;
}
export interface BackgroundOptions extends fabric.IRectOptions {
    id: string;
    name: string;
    description?: string;
}
declare module 'fabric' {
    namespace fabric {
        class Background extends BackgroundObject {
            constructor(options: BackgroundOptions);
        }
    }
}
