import { fabric } from 'fabric';
export declare class StaticTextObject extends fabric.Textbox {
    static type: string;
    initialize(options: StaticTextOptions): this;
    toObject(propertiesToInclude?: any[]): any;
    toJSON(propertiesToInclude?: any[]): any;
    static fromObject(options: StaticTextOptions, callback: Function): any;
}
export declare type StaticTextOptions = fabric.ITextboxOptions & {
    text: string;
};
declare module 'fabric' {
    namespace fabric {
        class StaticText extends StaticTextObject {
            constructor(options: StaticTextOptions);
        }
    }
}
