import React from 'react';
import { FC } from 'react';
import { fabric } from 'fabric';
import Editor from '../Editor';
export interface ContextMenuRequest {
    target: any;
    left: number;
    top: number;
}
export interface IEditorContext {
    canvas: fabric.Canvas | null;
    setCanvas: (canvas: fabric.Canvas) => void;
    activeObject: fabric.Object | null;
    setActiveObject: (object: fabric.Object | null) => void;
    editor: Editor | null;
    setEditor: (handlers: Editor) => void;
    zoomRatio: number;
    setZoomRatio: (value: number) => void;
    contextMenuRequest: ContextMenuRequest;
    setContextMenuRequest: (value: ContextMenuRequest) => void;
}
export declare const EditorContext: React.Context<IEditorContext>;
export declare const EditorProvider: FC;
