import { HandlerOptions } from '../common/interfaces';
import BaseHandler from './BaseHandler';
declare enum Animations {
    NONE = "NONE",
    STOMP = "STOMP",
    TUMBLE = "TUMBLE",
    RISE = "RISE",
    PAN = "PAN",
    FADE = "FADE",
    BREATHE = "BREATHE"
}
declare type AnimationType = keyof typeof Animations;
declare class AnimationHandler extends BaseHandler {
    private anim;
    constructor(props: HandlerOptions);
    animate: (animation: AnimationType) => void;
    setTemplateAnimations: () => void;
    animateObject: (object: fabric.Object, animation: AnimationType) => void;
}
export default AnimationHandler;
