import { EditorConfig, FabricCanvas, HandlerOptions } from '../common/interfaces';
import Handlers from '.';
import { IEditorContext } from '../context';
import Editor from '../Editor';
declare class BaseHandler {
    protected canvas: FabricCanvas;
    protected handlers: Handlers;
    protected context: IEditorContext;
    protected config: EditorConfig;
    protected editor: Editor;
    constructor({ canvas, handlers, context, config, editor }: HandlerOptions);
}
export default BaseHandler;
