import { fabric } from 'fabric';
import BaseHandler from './BaseHandler';
import { HandlerOptions } from '../common/interfaces';
declare class EventsHandler extends BaseHandler {
    constructor(props: HandlerOptions);
    initialize(): void;
    destroy(): void;
    onMouseDown: (e: fabric.IEvent) => void;
    objectModified: (event: any) => void;
    onMouseOut: () => void;
    onMouseWheel: (event: any) => void;
    handleZoom: (event: any) => void;
    onKeyDown(event: any): void;
    handleSelection: (target: any) => void;
    scaleTextbox: (target: fabric.Textbox) => void;
}
export default EventsHandler;
