import BaseHandler from './BaseHandler';
declare class TemplateHandler extends BaseHandler {
    exportToJSON(): {
        name: string;
        objects: any[];
        background: {
            type: string;
            value: string | import("fabric/fabric-impl").Pattern | import("fabric/fabric-impl").Gradient;
        };
        frame: {
            width: number;
            height: number;
        };
        metadata: {
            animated: boolean;
        };
    };
    importFromJSON(template: any): Promise<void>;
}
export default TemplateHandler;
