import { fabric } from 'fabric';
export declare class DynamicImageObject extends fabric.Rect {
    static type: string;
    keyValues: any;
    getKeyScaling(): number;
    getCanvasBoundingClientRect(): {
        left: number;
        top: number;
    };
    _set(key: any, value: any): fabric.Object;
    initialize(options: any): this;
    _renderStroke(ctx: any): void;
    toObject(propertiesToInclude?: any[]): any;
    toJSON(propertiesToInclude?: any[]): any;
    static fromObject(options: any, callback: any): any;
}
export declare type DynamicImageOptions = fabric.Rect & {
    text: string;
    metadata: any;
    keys: any;
    keyValues: any;
};
declare module 'fabric' {
    namespace fabric {
        class DynamicImage extends DynamicImageObject {
            metadata: any;
            constructor(options: DynamicImageOptions);
        }
    }
}
