import { fabric } from 'fabric';
export declare class StaticPathObject extends fabric.Path {
    static type: string;
    initialize(options: StaticPathOptions): this;
    toObject(propertiesToInclude?: any[]): any;
    toJSON(propertiesToInclude?: any[]): any;
    static fromObject(options: StaticPathOptions, callback: Function): any;
}
export declare type StaticPathOptions = fabric.ITextboxOptions & {
    path: string;
};
declare module 'fabric' {
    namespace fabric {
        class StaticPath extends StaticPathObject {
            constructor(options: StaticPathOptions);
        }
    }
}
