import { fabric } from 'fabric';
export declare function drawCircleIcon(ctx: CanvasRenderingContext2D, left: number, top: number, __styleOverride: string[], fabricObject: fabric.Object): void;
export declare function drawTopRightIcon(ctx: CanvasRenderingContext2D, left: number, top: number, __styleOverride: string[], fabricObject: fabric.Object): void;
export declare function drawTopLeftIcon(ctx: CanvasRenderingContext2D, left: number, top: number, __styleOverride: string[], fabricObject: fabric.Object): void;
export declare function drawBottomLeftIcon(ctx: CanvasRenderingContext2D, left: number, top: number, __styleOverride: string[], fabricObject: fabric.Object): void;
export declare function drawBottomRightIcon(ctx: CanvasRenderingContext2D, left: number, top: number, __styleOverride: string[], fabricObject: fabric.Object): void;
export declare function drawVerticalLineIcon(ctx: CanvasRenderingContext2D, left: number, top: number, __styleOverride: string[], fabricObject: fabric.Object): void;
export declare function drawHorizontalLineIcon(ctx: CanvasRenderingContext2D, left: number, top: number, __styleOverride: string[], fabricObject: fabric.Object): void;
export declare const controlPositionIcons: {
    tl: typeof drawTopLeftIcon;
    t: typeof drawHorizontalLineIcon;
    tr: typeof drawTopRightIcon;
    r: typeof drawVerticalLineIcon;
    br: typeof drawBottomRightIcon;
    b: typeof drawHorizontalLineIcon;
    bl: typeof drawBottomLeftIcon;
    l: typeof drawVerticalLineIcon;
};
